Bug 134399 - autofs removes directories on shutdown
autofs removes directories on shutdown
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-01 19:54 EDT by Bill Nottingham
Modified: 2014-03-16 22:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-178
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 18:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-10-01 19:54:26 EDT
Have a normal system with /home as a dir.

In /etc/auto.master:

/home
ldap:devserv.devel.redhat.com:nisMapName=auto.home,dc=devel,dc=redhat,dc=com
--timeout=60

Run /etc/init.d/autofs stop.

Not only is autofs no longer monitoring /home, the /home directory is
*gone*.
Comment 1 Jeffrey Moyer 2004-10-13 15:39:34 EDT
Yes, this should be fixed for directories that existed before autofs
was started.
Comment 2 Jeffrey Moyer 2005-01-12 14:13:10 EST
Chris, I think this affects the same code paths as the /net bug you are looking
into (137998).
Comment 3 Chris Feist 2005-01-24 14:50:24 EST
This bug has been fixed in autofs-4.1.3-77.
Comment 4 Mikko Huhtala 2005-04-11 03:16:37 EDT
We seem to be suffering from a similar problem. At our site, /opt as a symbolic
link to /misc/opt, which is an automount point. All autofs configuration,
including auto.master, is in a LDAP directory.

Sometimes when the NFS server times out, the /opt->misc/opt symbolic link is
removed. /misc/opt is still accessible and works, but the symbolic link pointing
to it is deleted automagically. This does not happen on every shutdown or every
timeout - I haven't been able to reproduce it reliably. It has happened many
times on half a dozen machines over the last 5 months. A dying ethernet switch
increased the frequency of these events, so I assume it happens on timeout.

The NFS clients running autofs are Fedora Core 3, kernel versions
2.6.9-1.678_FC3 - 2.6.10-1.770_FC3 and autofs 4.1.3-28. The server is FC2,
running a Fedora 2.6.9 kernel (not sure which one).
Comment 5 Chris Feist 2005-04-11 10:57:19 EDT
Try upgrading to the latest test version of autofs on your client machines, this
should fix your problem.
 
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/3/i386/autofs-4.1.3-114.i386.rpm
Comment 6 Dennis Gregorovic 2005-05-19 18:05:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-177.html

Note You need to log in before you can comment on or make changes to this bug.